<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <meta name="author" content="Iker Landajuela">
  <link rel="shortcut icon" href="../../favicon.ico">
  
  <title>Recursos - Programación con Angular</title>
  <link href='https://fonts.googleapis.com/css?family=Lato:400,700|Roboto+Slab:400,700|Inconsolata:400,700' rel='stylesheet' type='text/css'>

  <link rel="stylesheet" href="../../css/theme.css" type="text/css" />
  <link rel="stylesheet" href="../../css/theme_extra.css" type="text/css" />
  <link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/highlight.js/9.12.0/styles/github.min.css">
  
  <script>
    // Current page data
    var mkdocs_page_name = "Recursos";
    var mkdocs_page_input_path = "recursos\\recursos.md";
    var mkdocs_page_url = "/angular/recursos/recursos/";
  </script>
  
  <script src="../../js/jquery-2.1.1.min.js" defer></script>
  <script src="../../js/modernizr-2.8.3.min.js" defer></script>
  <script src="//cdnjs.cloudflare.com/ajax/libs/highlight.js/9.12.0/highlight.min.js"></script>
  <script>hljs.initHighlightingOnLoad();</script> 
  
</head>

<body class="wy-body-for-nav" role="document">

  <div class="wy-grid-for-nav">

    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side stickynav">
      <div class="wy-side-nav-search">
        <a href="../.." class="icon icon-home"> Programación con Angular</a>
        <div role="search">
  <form id ="rtd-search-form" class="wy-form" action="../../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" title="Type search term here" />
  </form>
</div>
      </div>

      <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
	<ul class="current">
	  
          
            <li class="toctree-l1">
		
    <a class="" href="../..">Introducción</a>
	    </li>
          
            <li class="toctree-l1">
		
    <span class="caption-text">Conceptos básicos</span>
    <ul class="subnav">
                <li class="">
                    
    <a class="" href="../../conceptos/componentes/componentes/">Componentes</a>
                </li>
                <li class="">
                    
    <a class="" href="../../conceptos/data-binding/data-binding/">Binding</a>
                </li>
                <li class="">
                    
    <a class="" href="../../conceptos/directivas/directivas/">Directivas</a>
                </li>
                <li class="">
                    
    <a class="" href="../../conceptos/routing/proyecto-basico-routing/proyecto-basico-routing/">Routing</a>
                </li>
                <li class="">
                    
    <a class="" href="../../conceptos/http/consumir-servicios-api-rest/consumir-servicios-api-rest/">Consumir servicios REST</a>
                </li>
                <li class="">
                    
    <a class="" href="../../conceptos/estilos/instalar-bootstrap/instalar-bootstrap/">Introducción Bootstrap</a>
                </li>
    </ul>
	    </li>
          
            <li class="toctree-l1">
		
    <span class="caption-text">Proyectos</span>
    <ul class="subnav">
                <li class="">
                    
    <a class="" href="../../intro/getting-started/getting-started/">Mi primera aplicación</a>
                </li>
                <li class="">
                    
    <a class="" href="../../intro/flujo-de-una-app/flujo-de-una-app/">Flujo de una aplicación</a>
                </li>
                <li class="">
                    
    <a class="" href="../../intro/todo-aplicacion-lista-tareas/todo-aplicacion-lista-tareas/">Aplicación lista de tareas</a>
                </li>
                <li class="">
                    
    <a class="" href="../../intro/reddit-clone/reddit-clone/">Tutorial:  Simple Reddit clone</a>
                </li>
                <li class="">
                    
    <a class="" href="../../intro/ejercicio-gestion-clientes/ejercicio-gestion-clientes/">Aplicación: Gestión clientes</a>
                </li>
                <li class="">
                    
    <a class="" href="../../intro/tour-of-heroes/tour-of-heroes/">Tutorial: Tour of Heroes</a>
                </li>
    </ul>
	    </li>
          
            <li class="toctree-l1">
		
    <span class="caption-text">Módulos</span>
    <ul class="subnav">
                <li class="">
                    
    <a class="" href="../../modulos/rxjs/rxjs/">Programación reactiva RxJS</a>
                </li>
    </ul>
	    </li>
          
            <li class="toctree-l1">
		
    <span class="caption-text">Formularios</span>
    <ul class="subnav">
                <li class="">
                    
    <a class="" href="../../ui/forms/basic-form/basic-form/">Formulario básico (Reactive)</a>
                </li>
                <li class="">
                    
    <a class="" href="../../ui/forms/basic-form-validation/basic-form-validation/">Validación básica formulario (Reactive)</a>
                </li>
    </ul>
	    </li>
          
            <li class="toctree-l1">
		
    <span class="caption-text">Componentes UI</span>
    <ul class="subnav">
                <li class="">
                    
    <a class="" href="../../ui/primeng/primeng/">PrimeNG</a>
                </li>
    </ul>
	    </li>
          
            <li class="toctree-l1">
		
    <span class="caption-text">Otros</span>
    <ul class="subnav">
                <li class="">
                    
    <a class="" href="../../otros/json-server/json-server/">JSON-Server NodeJS</a>
                </li>
    </ul>
	    </li>
          
            <li class="toctree-l1 current">
		
    <a class="current" href="./">Recursos</a>
    <ul class="subnav">
            
    <li class="toctree-l2"><a href="#depurar-con-chrome-dev-tools">Depurar con Chrome Dev Tools</a></li>
    

    <li class="toctree-l2"><a href="#plugins-para-visual-studio-code">Plugins para Visual Studio Code</a></li>
    

    </ul>
	    </li>
          
        </ul>
      </div>
      &nbsp;
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" role="navigation" aria-label="top navigation">
        <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
        <a href="../..">Programación con Angular</a>
      </nav>

      
      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="breadcrumbs navigation">
  <ul class="wy-breadcrumbs">
    <li><a href="../..">Docs</a> &raquo;</li>
    
      
    
    <li>Recursos</li>
    <li class="wy-breadcrumbs-aside">
      
        <a href="https://gitlab.com/soka/angular/edit/master/docs/recursos/recursos.md"
          class="icon icon-gitlab"
        > Edit on GitLab</a>
      
    </li>
  </ul>
  <hr/>
</div>
          <div role="main">
            <div class="section">
              
                <div class="toc">
<ul>
<li><a href="#depurar-con-chrome-dev-tools">Depurar con Chrome Dev Tools</a></li>
<li><a href="#plugins-para-visual-studio-code">Plugins para Visual Studio Code</a></li>
</ul>
</div>
<h1 id="depurar-con-chrome-dev-tools">Depurar con Chrome Dev Tools</h1>
<p>https://juristr.com/blog/2016/02/debugging-angular2-console/</p>
<h1 id="plugins-para-visual-studio-code">Plugins para Visual Studio Code</h1>
<ul>
<li><a href="https://marketplace.visualstudio.com/items?itemName=johnpapa.Angular2">Angular v7 Snippets</a>.</li>
<li><a href="https://marketplace.visualstudio.com/items?itemName=Angular.ng-template">Angular Language Service</a>.</li>
<li><a href="https://marketplace.visualstudio.com/items?itemName=jakethashi.vscode-angular2-emmet">Angular 2 TypeScript Emmet</a>.</li>
</ul>
              
            </div>
          </div>
          <footer>
  
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
      
      
        <a href="../../otros/json-server/json-server/" class="btn btn-neutral" title="JSON-Server NodeJS"><span class="icon icon-circle-arrow-left"></span> Previous</a>
      
    </div>
  

  <hr/>

  <div role="contentinfo">
    <!-- Copyright etc -->
    
  </div>

  Built with <a href="http://www.mkdocs.org">MkDocs</a> using a <a href="https://github.com/snide/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a>.
</footer>
      
        </div>
      </div>

    </section>

  </div>

  <div class="rst-versions" role="note" style="cursor: pointer">
    <span class="rst-current-version" data-toggle="rst-current-version">
      
          <a href="https://gitlab.com/soka/angular/" class="icon icon-gitlab" style="float: left; color: #fcfcfc"> GitLab</a>
      
      
        <span><a href="../../otros/json-server/json-server/" style="color: #fcfcfc;">&laquo; Previous</a></span>
      
      
    </span>
</div>
    <script>var base_url = '../..';</script>
    <script src="../../js/theme.js" defer></script>
      <script src="../../search/main.js" defer></script>

</body>
</html>
